﻿@import url('error.css');
@import url('struct.css');
@import url('mobile.css');
@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@100;300;400;500;700;900&display=swap');

html, body {
    font-family: 'Open Sans', sans-serif;
}

@media (min-width: 1000px) {
    body {
        font-size: 0.9rem !important;
    }
}

@media (min-width: 1400px) {
    body {
        font-size: 1rem !important;
    }
}

.content > .container {
    margin-bottom: 50px;
}

.main .top-row {
    background-color: white;
}

.main .banner {
    background-color: #f5f5f8 !important;
}

    .main .banner .container {
        line-height: 80px;
    }

.sort-th {
    cursor: pointer;
    padding-right: 30px !important;
}

.no-padding {
    padding-right: 0 !important;
    padding-left: 0 !important;
}

.menu-nav .menu {
    float: none;
    margin-left: auto;
    margin-right: auto;
}

@media (min-width: 1000px) and (max-width : 1199px) {
    .menu-nav .menu {
        margin-right: 0px;
    }
}

.menu-nav .menu > ul {
    margin-top: 19px;
    padding-left: 0px;
}

@media (min-width: 1000px) {
    .menu-nav .menu > ul > li {
        list-style: none;
        display: inline;
        position: relative;
        margin-right: 10px;
        margin-left: 10px;
        padding-top: 29px;
        padding-bottom: 29px;
    }

        .menu-nav .menu > ul > li > a {
            color: #acabab;
            padding-top: 26px;
            padding-bottom: 18px;
            text-decoration: none;
        }
}

@media (min-width: 1200px) {
    .menu-nav .menu > ul > li {
        list-style: none;
        display: inline;
        position: relative;
        margin-right: 10px;
        margin-left: 10px;
        padding-top: 29px;
        padding-bottom: 29px;
    }

        .menu-nav .menu > ul > li > a {
            color: #acabab;
            padding-top: 26px;
            padding-bottom: 18px;
            text-decoration: none;
        }
}

@media (min-width: 1400px) {
    .menu-nav .menu > ul > li {
        list-style: none;
        display: inline;
        position: relative;
        margin-right: 20px;
        margin-left: 20px;
        padding-top: 28px;
        padding-bottom: 28px;
    }

        .menu-nav .menu > ul > li > a {
            color: #acabab;
            padding-top: 25px;
            padding-bottom: 17px;
            text-decoration: none;
        }
}

@media (min-width: 1600px) {
    .menu-nav .menu > ul > li {
        list-style: none;
        display: inline;
        position: relative;
        margin-right: 20px;
        margin-left: 20px;
        padding-top: 28px;
        padding-bottom: 28px;
    }

        .menu-nav .menu > ul > li > a {
            color: #acabab;
            padding-top: 25px;
            padding-bottom: 17px;
            text-decoration: none;
        }
}

@media (min-width: 1800px) {
    .menu-nav .menu > ul > li {
        list-style: none;
        display: inline;
        position: relative;
        margin-right: 20px;
        margin-left: 20px;
        padding-top: 25px;
        padding-bottom: 27px;
    }

        .menu-nav .menu > ul > li > a {
            color: #acabab;
            padding-top: 25px;
            padding-bottom: 17px;
            text-decoration: none;
        }
}

.menu-nav .menu > ul > li > a.active {
    border-bottom: solid 3px #ff5a00;
    color: #ff5a00;
    width: 100%;
    height: 100%;
}

.menu-nav .menu > ul ul {
    position: absolute;
    padding: 0;
    left: -20px;
    z-index: 99999;
    min-width: 100%;
    top: 100%;
    border-left: solid 2px #ecea;
    border-right: solid 2px #ecea;
    border-bottom: solid 2px #ecea;
    border-top: solid 1px #ecea;
    padding-top: 20px;
    background-color: white;
    display: none;
}

@media (min-width: 1000px) and (max-width: 1199px) {
    .menu-nav .menu > ul ul {
        right: -20px;
        left: initial;
    }
}

@media (min-width: 1000px) {
    .menu-nav .menu > ul ul {
        top: 100%;
    }
}

@media (min-width: 1200px) {
    .menu-nav .menu > ul ul {
        top: 100%;
    }
}

@media (min-width: 1400px) {
    .menu-nav .menu > ul ul {
        top: 99%;
    }
}

@media (min-width: 1600px) {
    .menu-nav .menu > ul ul {
        top: 99%;
    }
}

@media (min-width: 1800px) {
    .menu-nav .menu > ul ul {
        top: 100%;
    }
}

.menu-nav .menu > ul li:hover ul {
    display: block;
}

.menu-nav .menu > ul > li ul > li {
    display: block;
    padding-left: 30px;
    padding-right: 30px;
    padding-bottom: 10px;
}

.menu-nav .menu > ul > li > a {
    color: #acabab;
    padding-left: 10px;
    padding-right: 10px;
}

.menu-nav .menu ul ul li a {
    display: block;
    white-space: nowrap;
    color: #acabab;
    text-decoration: none;
}

    .menu-nav .menu ul ul li a.active {
        color: #ff5a00;
    }

    .menu-nav .menu ul ul li a:hover {
        color: #ff5a00;
    }

.menu-nav .menu ul li a:hover {
    color: #ff5a00;
    text-decoration: none;
}

.bx-wrapper {
    box-shadow: none !important;
    border: 0px !important;
    border-radius: 15px;
    margin-bottom: 0px !important;
}

#carousel .main,
.bx-viewport {
    width: 100%;
    height: auto !important;
    aspect-ratio: 16 / 4 !important;
}

.bx-viewport {
    border-radius: 15px;
}

.bx-wrapper .bx-pager {
    text-align: center;
    font-size: .85em;
    color: #fff;
    position: absolute;
    bottom: 16px;
}

#binnacle .entrada .texto a {
    font-size: 0.85rem;
    color: #acabab;
    text-decoration: none;
}

    #binnacle .entrada .texto a i {
        font-size: 0.75rem;
    }

.activo,
.desactivado,
.activo_full,
.desactivado_full {
    border-radius: 5px;
    padding: 5px 10px;
}

.activo {
    color: #28a745;
    border: solid 1px #28a745;
}

.activo_full {
    background-color: #28a745;
    color: white;
    border: solid 1px #28a745;
}

.desactivado {
    color: #dc3545;
    border: solid 1px #dc3545;
}

.desactivado_full {
    background-color: #dc3545;
    color: white;
    border: solid 1px #dc3545;
}

.buttons button {
    margin-right: 10px;
}

.btn-add,
.btn-save,
.btn-standard,
.btn-standard-selected,
.btn-delete {
    border-radius: 5px !important;
    font-size: 0.85rem !important;
    padding: 0.5rem 0.75rem !important;
}

    .btn-delete.btn-sm {
        padding: 5px 7px !important;
        font-size: 0.6rem !important;
    }

.btn-add {
    color: #28a745 !important;
    border: solid 1px #28a745 !important;
}

.btn-save {
    background-color: #ff5a00 !important;
    color: white !important;
    border: solid 1px #ff5a00 !important;
}

.btn-standard {
    color: #ff5a00 !important;
    border: solid 1px #ff5a00 !important;
}

.btn-standard-selected {
    color: white !important;
    border: solid 1px #ff5a00 !important;
    background-color: #ff5a00 !important;
}

.btn-delete {
    color: white !important;
    border: solid 1px #dc3545 !important;
    background-color: #dc3545 !important;
}

    .btn-add:focus,
    .btn-save:focus,
    .btn-standard:focus,
    .btn-delete:focus,
    .btn-standard-selected:focus,
    .btn-add:active,
    .btn-save:active,
    .btn-standard:active,
    .btn-delete:active,
    .btn-standard-selected:active {
        box-shadow: none;
    }

.btn-save:hover,
.btn-save:focus,
.btn-save:active {
    color: white !important;
}

table tr.selected {
    background-color: rgba(0,0,0,.075);
}

.modal-header {
    border-bottom: none;
}

    .blazored-modal .blazored-modal-title,
    .modal-header .modal-title {
        font-size: 1.4rem;
        font-weight: 600;
    }

        .modal-header .modal-title i {
            font-size: 1rem;
        }

.blazored-modal input:focus,
.modal input:focus {
    box-shadow: none;
    border: 1px solid #ced4da;
}

.blazored-modal .btn-group,
.modal .btn-group {
    display: block !important;
    border-top: solid 1px #eceaec;
    padding-top: 20px;
}

    .blazored-modal .btn-group button,
    .modal .btn-group button {
        margin-right: 15px;
        border-radius: 10px !important;
        border: 0px;
        line-height: 1.8rem;
        font-size: 0.9rem;
        font-weight: 500;
        outline: none;
    }

        .blazored-modal .btn-group button.btn-primary,
        .modal .btn-group button.btn-primary {
            background-color: #ff5a00;
            color: white;
        }

            .blazored-modal .btn-group button.btn-primary:focus,
            .modal .btn-group button.btn-primary:focus {
                box-shadow: none;
            }

            .blazored-modal .btn-group button.btn-primary:active,
            .blazored-modal .btn-group button.btn-primary:hover,
            .modal .btn-group button.btn-primary:active,
            .modal .btn-group button.btn-primary:hover {
                background-color: #ff5a00;
                color: white;
            }

        .blazored-modal .btn-group button.btn-secondary,
        .modal .btn-group button.btn-secondary {
            background-color: #f5f5f8;
            color: black;
        }

            .blazored-modal .btn-group button.btn-secondary:focus,
            .modal .btn-group button.btn-secondary:focus {
                box-shadow: none;
            }

            .blazored-modal .btn-group button.btn-secondary:active,
            .blazored-modal .btn-group button.btn-secondary:hover,
            .modal .btn-group button.btn-secondary:active,
            .modal .btn-group button.btn-secondary:hover {
                background-color: #f5f5f8;
                color: black;
            }

.form-control.is-valid, .was-validated .form-control:valid {
    border-color: #ced4da !important;
    background-image: none !important;
}

    .form-control.is-valid:focus, .was-validated .form-control:valid:focus {
        box-shadow: none !important;
    }

.card-body .row .col p {
    margin-top: 20px;
}

.card-body.documents p {
    margin-top: 0px !important;
    margin-bottom: 20px !important;
}

.invalid + input,
.invalid + .input-group input,
.is-invalid + div .select2-container .select2-selection,
.is-invalid + select + .select2-container .select2-selection {
    border-color: #dc3545;
    padding-right: calc(1.5em + 0.75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.1875rem) center;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

    .invalid + input + .validation-message,
    .invalid + .input-group + .validation-message {
        width: 100%;
        margin-top: 0.25rem;
        font-size: 80%;
    }

/*#ui-datepicker-div {
    z-index: 1100 !important;
}

.datepicker-dropdown {
    top: 0;
    left: 0;
    padding-left: 24px;
    padding-right: 24px;
    border-radius: 4px;
}

.datepicker table tr td,
.datepicker table tr th {
    text-align: center;
    width: 30px;
    height: 30px;
    border-radius: 4px;
    border: none;
    color: #000;
    cursor: pointer !important;
}

    .datepicker table tr td.day:hover,
    .datepicker table tr td.focused {
        background: red;
    }

    .datepicker table tr td.old,
    .datepicker table tr td.new {
        color: #999;
    }

    .datepicker table tr td.today {
        color: white !important;
        background-color: #FFA953;
        border-color: #FFB76F;
    }

        .datepicker table tr td.today:hover {
            color: #FFFFFF;
            background-color: #FF8273;
            border-color: #f59e00;
            cursor: pointer !important;
        }

.datepicker .datepicker-switch {
    width: 145px;
}

    .datepicker .datepicker-switch:hover,
    .datepicker .prev:hover,
    .datepicker .next:hover,
    .datepicker tfoot tr th:hover {
        background: #f8f8f8;
    }

.ui-datepicker {
    width: 15.20em !important;
    font-family: 'Jaldi', sans-serif !important;
    border: 1px solid #ccc !important;
}

.ui-datepicker-header {
    border-radius: 0px !important;
    border: none !important;
}

.ui-datepicker-next {
    color: #000 !important;
    top: 3px !important;
    right: 3px !important;
}

.ui-datepicker-prev {
    color: #000 !important;
    top: 3px !important;
    left: 3px !important;
}

.ui-datepicker-next:hover {
    border: none !important;
    top: 3px !important;
    right: 3px !important;
    background: white !important;
    cursor: pointer;
}

.ui-datepicker-prev:hover {
    border: none !important;
    top: 3px !important;
    left: 3px !important;
    background: white !important;
    cursor: pointer;
}

.ui-state-default {
    background: none !important;
    background-color: #ededed;
}

.ui-state-highlight, .ui-widget-content .ui-state-highlight {
    background: none !important;
    background-color: #eaeaea !important;
    border: 1px solid #A51E1E !important;
    border-radius: 10% !important;
}

.ui-state-active, .ui-widget-content .ui-state-active {
    background-color: #ff5a00 !important;
    color: whitesmoke !important;
    font-weight: bold !important;
    border: 1px solid #d3d3d3 !important;
}

#date-picker-expirate .ui-datepicker-calendar {
    display: none;
}

.ui-widget select {
    font-size: 14px !important;
}

.ui-priority-primary, .ui-widget-content {
    font-weight: normal !important;
}

.ui-datepicker-close {
    color: #fff !important;
    background-color: #5cb85c !important;
    border-color: #4cae4c !important;
    font-size: 14px !important;
}

.hide-calendar .ui-datepicker-calendar {
    display: none;
}

#startDate {
    width: 100%;
    border-radius: 5px;
    border: 1px solid #ccc;
    padding: 6px;
}

.ui-datepicker-current {
    display: none !important;
}

.ui-datepicker-buttonpane {
    float: left !important;
    padding: 0 !important;
}*/

.select2 {
    width: 100% !important;
}

.select2-container {
    display: block;
    z-index: 1056 !important; /*No cambiar*/
}

.form-group .select2-container {
    z-index: 1054 !important; /*No cambiar*/
}

.modal .select2-container, .modal + .select2-container {
    z-index: 1056 !important; /*No cambiar*/
}

.select2-container *:focus {
    outline: 0
}

.input-group .select2-container {
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1
}

.input-group-prepend ~ .select2-container .select2-selection {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0
}

.input-group > .select2-container:not(:last-child) .select2-selection {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0
}

.select2-container .select2-selection {
    width: 100%;
    background-color: #fff;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    -webkit-transition: border-color 0.15s ease-in-out,-webkit-box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out,-webkit-box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;
    transition: border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out,-webkit-box-shadow 0.15s ease-in-out
}

@media (prefers-reduced-motion: reduce) {
    .select2-container .select2-selection {
        -webkit-transition: none;
        transition: none
    }
}

.select2-container.select2-container--focus .select2-selection {
    box-shadow: none;
}

.select2-container.select2-container--focus.select2-container--open .select2-selection {
    border-bottom: none;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0
}

#to_email + .select2-container.select2-container--focus.select2-container--open .select2-selection {
    border-bottom: 1px solid #ced4da !important;
}

#to_email + .select2-container--default.select2-container--focus .select2-selection--multiple {
    border: 1px solid #ced4da !important;
}

/*#to_email + .select2-container--default .select2-search--inline, .select2-selection--multiple .select2-search--inline input {
    width: 100% !important;
}*/

#to_email + .select2-container--default .select2-search--inline:last-child {
    width: auto;
    float: none;
    overflow: hidden;
}

    #to_email + .select2-container--default .select2-search--inline:last-child input {
        width: 100% !important;
    }

.select2-container.select2-container--open.select2-container--above .select2-selection {
    border-top-left-radius: 0;
    border-top-right-radius: 0
}

.select2-container.select2-container--open.select2-container--below .select2-selection {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0
}

.select2-container.select2-container--disabled .select2-selection, .select2-container.select2-container--disabled.select2-container--focus .select2-selection {
    cursor: not-allowed;
    background-color: #e9ecef;
    border-color: #ced4da;
    -webkit-box-shadow: none;
    box-shadow: none
}

.select2-container.select2-container--disabled .select2-search__field, .select2-container.select2-container--disabled.select2-container--focus .select2-search__field {
    background-color: transparent
}

select.is-invalid ~ .select2-container .select2-selection, form.was-validated select:invalid ~ .select2-container .select2-selection {
    border-color: #dc3545
}

select.is-valid ~ .select2-container .select2-selection, form.was-validated select:valid ~ .select2-container .select2-selection {
    border-color: #28a745
}

.select2-container .select2-search {
    width: 100%
}

.select2-container .select2-dropdown {
    border-color: #ced4da;
    border-radius: 0
}

    .select2-container .select2-dropdown.select2-dropdown--below {
        border-top: none;
        border-bottom-right-radius: .25rem;
        border-bottom-left-radius: .25rem
    }

    .select2-container .select2-dropdown.select2-dropdown--above {
        border-top: 1px solid #ced4da;
        border-top-left-radius: .25rem;
        border-top-right-radius: .25rem
    }

    .select2-container .select2-dropdown .select2-results__option[aria-selected="true"] {
        color: #212529;
        background-color: #f2f2f2
    }

.select2-container .select2-results__option--highlighted, .select2-container .select2-results__option--highlighted.select2-results__option[aria-selected="true"] {
    color: #fff;
    background-color: #ff5a00;
}

.select2-container .select2-results__option[role="group"] {
    padding: 0
}

    .select2-container .select2-results__option[role="group"] .select2-results__options--nested .select2-results__option {
        padding-left: 1em
    }

.select2-container .select2-results__option {
    padding: .375rem .75rem
}

.select2-container .select2-results > .select2-results__options {
    max-height: 15em;
    overflow-y: auto
}

.select2-container .select2-results__group {
    display: list-item;
    padding: 6px;
    color: #6c757d
}

.select2-container .select2-selection__clear {
    float: right;
    width: .9em;
    height: .9em;
    padding-left: .15em;
    margin-top: .7em;
    margin-right: .3em;
    line-height: .75em;
    color: #f8f9fa;
    background-color: #c8c8c8;
    border-radius: 100%
}

    .select2-container .select2-selection__clear:hover {
        background-color: #afafaf
    }

.select2-container .select2-selection--single {
    height: calc(1.5em + .75rem + 2px) !important
}

    .select2-container .select2-selection--single .select2-selection__placeholder {
        line-height: calc(1.5em + .75rem);
        color: #6c757d
    }

    .select2-container .select2-selection--single .select2-selection__arrow {
        position: absolute;
        top: calc(50% - 14px);
        right: 3px;
        width: 20px
    }

        .select2-container .select2-selection--single .select2-selection__arrow b {
            position: absolute;
            top: 60%;
            left: 50%;
            width: 0;
            height: 0;
            margin-top: -2px;
            margin-left: -4px;
            border-color: #343a40 transparent transparent transparent;
            border-style: solid;
            border-width: 5px 4px 0
        }

    .select2-container .select2-selection--single .select2-selection__rendered {
        padding-left: .75rem;
        line-height: calc(1.5em + .75rem);
        color: #495057
    }

.select2-search--dropdown .select2-search__field {
    padding: .375rem .75rem;
    border: 1px solid #ced4da;
    border-radius: .25rem
}

.select2-results__message {
    color: #6c757d
}

.select2-container .select2-selection--multiple {
    min-height: calc(1.5em + .75rem + 2px) !important
}

    .select2-container .select2-selection--multiple .select2-selection__rendered {
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        width: 100%;
        padding: 0 .375rem;
        margin: 0;
        list-style: none
    }

    .select2-container .select2-selection--multiple .select2-selection__choice {
        float: left;
        padding: 0;
        padding-right: .75rem;
        margin-top: calc(.375rem - 2px);
        margin-right: .375rem;
        color: #495057;
        cursor: pointer;
        border: 1px solid #bdc6d0;
        border-radius: .2rem
    }

    .select2-container .select2-selection--multiple .select2-search__field {
        color: #495057
    }

    .select2-container .select2-selection--multiple .select2-selection__choice + .select2-search {
        width: 0
    }

    .select2-container .select2-selection--multiple .select2-selection__choice__remove {
        float: left;
        padding-right: 3px;
        padding-left: 3px;
        margin-right: 1px;
        margin-left: 3px;
        font-weight: 700;
        color: #bdc6d0
    }

        .select2-container .select2-selection--multiple .select2-selection__choice__remove:hover {
            color: #343a40
        }

    .select2-container .select2-selection--multiple .select2-selection__clear {
        position: absolute !important;
        top: 0;
        right: .7em;
        float: none;
        margin-right: 0
    }

.select2-container.select2-container--disabled .select2-selection--multiple .select2-selection__choice {
    padding: 0 5px;
    cursor: not-allowed
}

    .select2-container.select2-container--disabled .select2-selection--multiple .select2-selection__choice .select2-selection__choice__remove {
        display: none
    }

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #ffad80 !important;
    color: white;
}

.accordion-body .select2-container--default.select2-container--focus .select2-selection--multiple {
    border: 1px solid #ced4da !important;
}

.form-control:focus {
    box-shadow: none !important;
    border-color: #ced4da !important;
}

.purejscarousel-dots-container {
    display: none;
}

.purejscarousel-btn-prev,
.purejscarousel-btn-next {
    position: absolute;
    top: 87px;
    color: white;
    width: 50px;
    height: 50px;
    font-size: 22px;
    background-color: #ff5a00;
    border-radius: 25px;
    border: none;
}

.purejscarousel-btn-prev {
    left: 30px;
}

    .purejscarousel-btn-prev::before {
        font-family: "Font Awesome 6 Free", sans-serif;
        content: "\f053";
        font-weight: 900;
    }

.purejscarousel-btn-next {
    right: 20px;
}

    .purejscarousel-btn-next::before {
        font-family: "Font Awesome 6 Free", sans-serif;
        content: "\f054";
        font-weight: 900;
    }

    .purejscarousel-btn-prev:focus,
    .purejscarousel-btn-next:focus {
        outline: none;
    }

/*.form-check label {
    margin-bottom: .5rem !important;
}

    .form-check label.margin0 {
        margin-top: 0px !important;
    }*/

.form-check .invalid-feedback,
.form-group .invalid-feedback {
    display: block;
}

.footer {
    background-color: black;
    float: left;
    width: 100%;
    height: 120px;
}

    .footer .logo-footer {
        background-image: url(../assets/images/logo_white.png);
        width: 170px;
        height: 72px;
        background-size: 170px 72px;
        position: absolute;
        left: 15px;
        top: 23px;
    }

    .footer .container {
        position: relative;
    }

        .footer .container .copy {
            width: 100%;
            text-align: center;
            color: white;
            padding-top: 54px;
            font-size: 0.9rem;
        }

            .footer .container .copy span {
                font-weight: bold;
            }

        .footer .container .box {
            color: white;
            top: 54px;
            font-size: 0.9rem;
            position: absolute;
            right: 15px;
        }

.highlight {
    background-color: #ffddeb;
}

    .highlight.current {
        background-color: #e2a480;
    }

.rate {
    float: left;
    height: 46px;
    padding: 0 10px;
    margin-bottom: 10px;
}

    .rate:not(:checked) > input {
        display: none;
        visibility: hidden;
    }

    .rate:not(:checked) > label {
        float: right;
        width: 1em;
        overflow: hidden;
        white-space: nowrap;
        cursor: pointer;
        font-size: 30px;
        color: #ccc;
    }

        .rate:not(:checked) > label:before {
            content: '★ ';
        }

    .rate > input:checked ~ label {
        color: #ff5a00;
    }

    .rate:not(:checked) > label:hover,
    .rate:not(:checked) > label:hover ~ label {
        color: #ff5a00;
    }

    .rate > input:checked + label:hover,
    .rate > input:checked + label:hover ~ label,
    .rate > input:checked ~ label:hover,
    .rate > input:checked ~ label:hover ~ label,
    .rate > label:hover ~ input:checked ~ label {
        color: #ff5a00;
    }

#comment {
    height: 190px !important;
    width: 100%;
    border: solid 1px #eceaec;
    resize: none;
    padding: 5px;
}

    #comment:active,
    #comment:focus {
        border: solid 1px #eceaec;
    }

.comment2 {
    height: 90px !important;
    width: 100%;
    border: solid 1px #eceaec;
    resize: none;
    padding: 5px;
}

    .comment2:active,
    .comment2:focus {
        border: solid 1px #eceaec;
    }

.comment3 {
    height: 65px !important;
    width: 100%;
    border: solid 1px #eceaec;
    resize: none;
    padding: 5px;
}

    .comment3:active,
    .comment3:focus {
        border: solid 1px #eceaec;
    }

#request-detail {
    height: 170px;
    resize: none;
}

.center-form-check {
    margin-top: 7px;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    background-color: #ff5a00 !important;
    color: white !important;
}

.nav-link, .nav-link:hover {
    color: black !important;
}

    .nav-link.disabled {
        color: #b3bcc3 !important;
    }

.remove-dropdown {
    display: none !important;
}

.bx-wrapper .bx-pager.bx-default-pager a.active, .bx-wrapper .bx-pager.bx-default-pager a:focus, .bx-wrapper .bx-pager.bx-default-pager a:hover {
    background: #ff5a00 !important;
}

.blazored-toast-container {
    z-index: 1200 !important;
}

.ql-editor {
    color: #495057 !important;
    font-size: 1rem !important;
    font-family: 'Open Sans', sans-serif !important;
}

.bx-wrapper .bx-controls-direction a {
    z-index: 900 !important;
}

table.dataTable thead .sorting:before,
table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_desc:before,
table.dataTable thead .sorting_disabled:before,
table.dataTable thead .sorting_asc_disabled:before,
table.dataTable thead .sorting_desc_disabled:before {
    display: none !important;
}

table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after,
table.dataTable thead .sorting_disabled:after,
table.dataTable thead .sorting_asc_disabled:after,
table.dataTable thead .sorting_desc_disabled:after {
    font-family: "Font Awesome 6 Free", sans-serif !important;
    color: black !important;
    bottom: 0.9em !important;
}

table.dataTable thead .sorting_asc .dt-column-header,
table.dataTable thead .sorting_desc .dt-column-header {
    display: inline !important;
}

table.dataTable thead .sorting:after {
    display: none !important;
}

table.dataTable thead .sorting_asc:after {
    content: '\f161' !important;
    display: inline !important;
    opacity: 1 !important;
    padding-left: 4px;
}

table.dataTable thead .sorting_desc:after {
    content: '\f884' !important;
    display: inline !important;
    padding-left: 4px;
}

table.dataTable > tbody > tr.selected > * {
    box-shadow: inset 0 0 0 9999px rgb(0 0 0 / 8%) !important;
    color: #212529 !important;
}

#binnacle .entrada p {
    word-break: break-word;
}

#binnacle .entrada img {
    max-width: 100% !important;
}

.daterangepicker .calendar-table .active {
    background-color: #ff5a00 !important;
}

.datepicker table tr td.today {
    border: none !important;
    background-color: #FFA953 !important;
    color: white !important;
}

    .datepicker table tr td.today:hover {
        background: #ebf4f8 !important;
        color: black !important;
    }

.datepicker table tr td.in-range {
    background: #ebf4f8 !important;
    color: black !important;
    border: none !important;
    border-radius: 4px !important;
}

.datepicker.input-group input.form-control {
    border-top-right-radius: 0.375rem !important;
    border-bottom-right-radius: 0.375rem !important;
}

#QuillEditor {
    height: 300px !important;
    border: solid 1px #ced4da !important;
}